Subject: NPTL uClibc status update...

From: "Steven J. Hill" <[email-masked]>
Date: Tue, 30 Aug 2005 00:11:01 -0500

Greetings.

Now that I have all my work up to date and checked in, I thought I would
give a brief status of NPTL. With the latest from 'uClibc-nptl' branch,
binutils-2.16.1 and gcc-4.1.0-20050604 a complete NPTL toolchain can be
built. This toolchain can also compile an entire buildroot. Granted, the
binaries will not run, but this means that the new NPTL libraries are
properly exporting all the symbols necessary for applications to build
and weak symbols interactions are doing what they should.

I am currently now building static test programs from glibc for uClibc to
get TLS binaries for MIPS working. Don't expect a lot of activity in the
upcoming days as I will be debugging all the problems with TLS on MIPS.
Thanks for your patience.

-Steve